Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Umgrenzung einer Schraffur innerhalb einer Blockdefinition erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Umgrenzung einer Schraffur innerhalb einer Blockdefinition erstellen (335 mal gelesen)
Freibier
Mitglied


Sehen Sie sich das Profil von Freibier an!   Senden Sie eine Private Message an Freibier  Schreiben Sie einen Gästebucheintrag für Freibier

Beiträge: 6
Registriert: 15.09.2015

AutoCAD 2019.1.4

erstellt am: 26. Jul. 2022 15:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!

Verzeihung vorne weg, falls ich zum Thema über die Suchfunktion (inkl. Google) einen Beitrag übersehen habe und es bereits einen Beitrag gibt, aber die diversen Suchbezeichnungen haben leider noch zu keinem funktionierenden Ergebnis geführt.


Folgendes Thema:
Ich bastle an einer LISP, die Umgrenzungen für alle SOLID-Schraffuren erstellen soll auf Basis abgefragter Layer (soweit noch nichts neues).

Für im Modell enthaltenen Schraffuren klappt das recht unproblematisch mit:

Code:

...
(setq aws(ssget ...))
(command "_HATCHGENERATEBOUNDARY" aws "")
...

Nun möchte ich dies innerhalb der Blockdefinitionen ebenfalls machen.
Die Blöcke durchsuchen funktioniert auch wie gewohnt:

Code:

...
(vlax-for BLOCK (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
  (vlax-for ITEM BLOCK 
    (if ...
      (progn
        ...
          ???
        ...
      ); end progn
    ) ;end if
  ) ;vlax-for ITEM BLOCK   
) ;vlax-for BLOCK
...

Die Frage ist nun, was muss anstelle der ??? stehen, dass er für ITEM die Umgrenzung erzeugt?

Simpel, wie bei der Abfrage im Modell mit (command) hat erwartungsgemäß nicht funktioniert :D
Das die Schleife aber korrekt funktioniert, zeigt mir der Test mit diesen Zeilen um entweder die Schraffuren zu löschen oder zu färben:

Code:

        (vla-delete ITEM)
        (vla-put-Color ITEM 1)


Kann mir eventuell jemand weiterhelfen bzw. auf die richtige LISP-Spur bringen?
Bzw. gibt es für _HATCHGENERATEBOUNDARY einen vla-... Ersatz?

Bin für jeden Input dankbar!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 372
Registriert: 15.07.2011

ACA2020
Windows10

erstellt am: 27. Jul. 2022 08:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Hallo
hier stellt sich wie immer die frage Block oder Blockreferenz?

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21231
Registriert: 03.06.2002

Alles

erstellt am: 27. Jul. 2022 08:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Meldin:
Hallo
hier stellt sich wie immer die frage Block oder Blockreferenz?


Eigentlich: Nö

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21231
Registriert: 03.06.2002

Alles

erstellt am: 27. Jul. 2022 08:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

@Freibier
Sorry: Ich bin nur Mitleser weil es mich interessiert welche Lösungen dir vorgeschlagen werden,
denn der Lösungsweg AutoCADbefehl ist kein 2Zeiler (wäre es zumindest bei mir nicht).

Dazu kommen um die Ecke Workarounds wie
- Einfach im Blockeditor den Vorgang durchführen oder
- Block -> WBLOCK->editieren->Neudefinieren oder
- Explode, den AutoCADbefehl zum erzeugen der Umgrenzung nutzen, Block neudefinieren
und keine Ahnung was noch.

Meldings Block/Blockref Frage hat sich vielleicht auf dein noch unfertiges Gerüst bezogen,
dort hast du noch nicht angegeben ob du auch Modell und Layoutbereiche berücksichtigst, oder
das ganze nur in den Nicht-Layout Blöcken laufen soll.
Deine Kernfrage war aber wie man das MACHWAS gestalten kann, dennoch dein Gerüst etwas erweitert:

(vlax-for BLOCK(vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (if (and
  ;(= (vla-get-ISLAYOUT BLOCK) :vlax-False) ; Model&Layouts ein- oder ausschließen??
          (= (vla-get-isXRef BLOCK) :vlax-False)
)
      (vlax-for ITEM BLOCK
(if (and
      (wcmatch (vla-get-ObjectName ITEM) "AcDbHatch")
      (wcmatch (strcase(vla-get-PatternName ITEM)) "*SOLID*") ; or "SOLID*"? or "SOLID"?
    )
    (Machwas)
)
      )
    )
  )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Freibier
Mitglied


Sehen Sie sich das Profil von Freibier an!   Senden Sie eine Private Message an Freibier  Schreiben Sie einen Gästebucheintrag für Freibier

Beiträge: 6
Registriert: 15.09.2015

AutoCAD 2019.1.4

erstellt am: 27. Jul. 2022 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von cadffm:
...ob du auch Modell und Layoutbereiche berücksichtigst, oder
das ganze nur in den Nicht-Layout Blöcken laufen soll.
Deine Kernfrage war aber wie man das MACHWAS gestalten kann, ...

Sry, eventuell war es unklar von mir formuliert, aber ich wollte den Beitrag auf mein tatsächliches Problem beschränken und bereits funktionierendes kürzen.

Was ich erreichen möchte:
1. Abfrage eines Strings mit Layernamen, ähnlich des Filters im Layermanager
2. von alle Schraffuren im Modellbereich, die auf diesen Layern liegen eine Umgrenzung erstellen
3. diese Schraffuren löschen
4. alle Blöcke durchsuchen und prüfen, ob sie Schraffuren auf diesen Layern enthalten
5. wenn ja, ebenfalls Umgrenzungen dieser Schraffuren erstellen (<- aktuelles Problem) und die Schraffuren anschließend löschen

Nachfolgend der bisherige Code:

Code:

(vl-load-com)
(defun c:hatchtoplwithlayer ()

;---------------------------------------------------------------------------------------------------------
;--- aktuelle Einstellungen merken -----------------------------------------------------------------------
;---------------------------------------------------------------------------------------------------------

(setq oldlayer (getvar "CLAYER"))
(setq oldfarbe (getvar "CECOLOR"))
(setq platz (getstring T "\nPlatzhalter angeben:"))

;---------------------------------------------------------------------------------------------------------
;--- Umgrenzungen aller eingefügter Schraffuren im Modell erstellen --------------------------------------
;---------------------------------------------------------------------------------------------------------

(vlax-for layer (vla-get-Layers (vla-get-ActiveDocument (vlax-get-acad-object)))
  (if
    (wcmatch (strcase (vla-get-name layer)) (strcase platz))
    (progn
      (setq layername (vla-get-name layer))
      (setq layerfarbe (vla-get-color layer))
      (setvar "CLAYER" layername)
      (setvar "CECOLOR" (itoa layerfarbe))
      (setq aws(ssget "_X" (list '(-4 . "<AND")'(0 . "HATCH")(cons 8 layername)'(-4 . "AND>"))))
      (command "_HATCHGENERATEBOUNDARY" aws "")
      (command "_erase" aws "")
    ); end progn
  ) ;end if
) ;vlax-for layer

;---------------------------------------------------------------------------------------------------------
;--- Umgrenzungen aller eingefügter Schraffuren innerhalb Blöcken erstellen ------------------------------
;---------------------------------------------------------------------------------------------------------

(vlax-for BLOCK (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
  (vlax-for ITEM BLOCK 
    (if(and (= (strcase(vla-get-objectname ITEM))(strcase "AcDbHatch"))
    (wcmatch (strcase(vla-get-Layer ITEM)) (strcase platz))
      ) ;end and
      (progn

        (MACHWAS)

        (vla-delete ITEM)
      ); end progn
    ) ;end if
  ) ;vlax-for ITEM BLOCK   
) ;vlax-for BLOCK

;---------------------------------------------------------------------------------------------------------
;--- ursprüngliche Einstellungen wiederherstellen --------------------------------------------------------
;---------------------------------------------------------------------------------------------------------

(setvar "CLAYER" oldlayer)
(setvar "CECOLOR" oldfarbe)

;---------------------------------------------------------------------------------------------------------
(vla-regen(vla-get-activedocument (vlax-get-acad-object)) acAllViewports)
(princ)
) ;end defun


Dinge wie Einschränkungen bspw. auf bestimmte Schraffurmuster (SOLID, etc.) oder  Kontrollen auf XREF bzw. Abfragen zwecks der dynamischen Blöcke/Namen, etc. sind noch nicht berücksichtigt, dem wollte ich mich erst widmen, wenn es funktioniert.

Leider sind meine LISP-Fähigkeiten noch nicht soweit, wie ichs gerne hätte, um Punkt 5. von Null weg zu korrigieren, aber müsste es nicht "genügen" ITEM ähnlich wie im Modellbereich mit (command ...) zu behandeln? ITEM zu löschen funktioniert mit (vla-delete ITEM) ja auch 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1956
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 27. Jul. 2022 10:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Ich hoffe dir sind die Unterschiede eines Block und einer Blockreferenz bekannt!
Was bitte soll es bringen die Blocktabelle zu durchlaufen, dort jede Blockdefinition nach einem Hatch zu durchsuchen, dann irgendetwas zu machen und die Blockdefinition dann zu löschen?
Du könntest dir die Blocknamen merken, die ein Hatch enthalten, dann die entsprechenden Referenzen raussuchen, diese auflösen, alles andere bis auf die Hatches löschen, dann deine Umgrenzung erstellen lassen und danach auch die Hatches löschen.

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

WIN 10
ACAD 2022

erstellt am: 27. Jul. 2022 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Hallo Freibier,
hab ich auch schon gemacht.
(command "_HATCHGENERATEBOUNDARY" aws "") klappt ja nicht in Blockdefinitionen
Beschäftige dich mal mit vla-copyobjects.
Damit kannst du Schraffuren aus Blockdefinitionen rauskopieren, denen dann eine Umgrenzung verpassen und diese dann in die Blockdefinition reinkopieren (Kopie der Schraffur mit Umgrenzung löschen nicht vergessen).
Mach ich auch so.
Wenn du da noch Infos brauchst, gib Bescheid.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1731
Registriert: 11.10.2004

Window 10
ACAD 2021
CIVIL 2021
BricsCAD V14-V22
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 27. Jul. 2022 18:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Hallo Freibier,
auch ich hatte bisher mitgelesen und darauf gewartet, dass es jetzt dich noch "die" Lösung dafür gibt. Aber der Vorschlag von Andreas ist glaube ich sinnvoll. Ich habe Dir das mal zusammengestellt, im Schnelltest hat es funktioniert.
Code:

(defun c:test ( / AWS LASTOBJ PLATZ VLA-OBJLIST VLA-OBJLISTBLOCK)
  (setq platz (getstring T "\nPlatzhalter angeben:"))
  (setvar "CTAB" "Model")
  (vlax-for BLOCK (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
  (vlax-for ITEM BLOCK
    (if(and (= (strcase(vla-get-objectname ITEM))(strcase "AcDbHatch"))
    (wcmatch (strcase(vla-get-Layer ITEM)) (strcase platz))
      ) ;end and
      (progn


        (if (setq aws(test:vla-objList->aws
      (setq vla-objListBlock(vlax-safearray->list(vlax-variant-value(JBf_vla-copyObjects:BlockDef->Model (vla-get-name BLOCK) (list ITEM)))))))
  (progn
    (setq lastObj (entlast))
    (command "_HATCHGENERATEBOUNDARY" aws  "")
    (sssetfirst nil nil)
    (setq vla-objList nil)
    (while(setq lastObj(entnext lastObj))
      (if (not(member (cdr(assoc 0 (entget lastObj)))'("VERTEX" "SEQEND")))
(setq vla-objList (cons (vlax-ename->vla-object lastObj)vla-objList))
)
      )

    (if vla-objList
      (JBf_vla-copyObjects:Model->BlockDef (vla-get-name BLOCK) vla-objList)
      )

    (mapcar 'vla-delete (append vla-objListBlock vla-objList))
    )
  )
 

        (vla-delete ITEM)
      ); end progn
    ) ;end if
  ) ;vlax-for ITEM BLOCK 
) ;vlax-for BLOCK
  )


(defun test:vla-objList->aws (vla-objList / )
  (setq aws (ssadd))
  (mapcar '(lambda(X)(ssadd X aws))(mapcar 'vlax-vla-object->ename vla-objList))
  (if (/=(sslength aws)0)
    aws))


 
   
;;;Safearray zur ÜBergabe der vla-objekte
(defun JBf_vla-copyObjects:Safearray (vla-objList / )
  (vlax-safearray-fill
    (vlax-make-safearray
      vlax-vbObject
      (cons 0 (-(length vla-objList)1)))
    vla-objList)
  )

;;;Objekte von Modelbereich in Blockdefinition
(defun JBf_vla-copyObjects:Model->BlockDef (BlockName vla-objList / BLOCKDEF)
  (if (tblsearch "BLOCK" BlockName)
    (progn
      (setq BlockDef (vla-item(vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))BlockName))
      (vla-copyObjects
        (vla-get-activeDocument (vlax-get-acad-object))
        (JBf_vla-copyObjects:Safearray vla-objList)
        BlockDef)
      )
    )
  )

;;;Objekte von Blockdefinition in Modelbereich => Objekte müssen vorher bereits rausgekramt werden und werden hier nur zum kopieren übergeben
(defun JBf_vla-copyObjects:BlockDef->Model (BlockName vla-objList / BLOCKDEF)
  (if (tblsearch "BLOCK" BlockName)
    (progn
      (setq BlockDef (vla-item(vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))BlockName))
      (vla-copyObjects
        (vla-get-Database BlockDef)
        (JBf_vla-copyObjects:Safearray vla-objList)
        (vla-get-ModelSpace(vla-get-activeDocument (vlax-get-acad-object))))
      )
    )
  )


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Bosse_tools-Überblick

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21231
Registriert: 03.06.2002

Alles

erstellt am: 28. Jul. 2022 09:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

@Freibier, Nur falls du es nicht selbst siehst:
JBs TEST-Code (des Workaround 'Umgrenzung außerhalb des Blockes durch HATCHGENERATEBOUNDARY erstellen')
kannst du nur in Dateien testen welche keine Schraffuren in Modell/Layouts enthalten, oder du passt den Code an  .


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1731
Registriert: 11.10.2004

Window 10
ACAD 2021
CIVIL 2021
BricsCAD V14-V22
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 28. Jul. 2022 10:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Hallo Sebastian,
Freibier hatte bereits per PM gefragt, aufgrund Deines Tipps braucht es jetzt aber seinerseits keine Beispieldatei mehr.

Einfach vor der VLAX-FOR ITEM BLOCK - Schleife prüfen, ob die Blockdefinition kein "Model" oder "Layout" ist:

Code:

(if (not (or(wcmatch (vla-get-name BLOCK) "`*Model*")
(wcmatch (vla-get-name BLOCK) "`*Paper*")))
    (vlax-for ITEM BLOCK ....

So sollte es funktionieren.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Bosse_tools-Überblick

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Freibier
Mitglied


Sehen Sie sich das Profil von Freibier an!   Senden Sie eine Private Message an Freibier  Schreiben Sie einen Gästebucheintrag für Freibier

Beiträge: 6
Registriert: 15.09.2015

AutoCAD 2019.1.4

erstellt am: 29. Jul. 2022 08:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

VIELEN VIELEN DANK!

Ich habe nach Input der Schleife die Lisp in Test-Files verschiedenen Inhalts getestet bzw. an "echten" Plänen, für die es eigentlich gedacht ist.
Funktioniert exakt wie vorgesehen!

Bei ein paar Funktionen werde ich mir als nächstes ansehen, wie sie zusammenspielen -> Zeilenweise übersteigt der Code noch das Verständnis 
Im Anschluss mache ich mich an die angestupste Variante aus der PM über (vla-addPolyline)!


Tausend Dank den Beteiligten! Immens viel aufs Neue gelernt durch den Thread 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 372
Registriert: 15.07.2011

ACA2020
Windows10

erstellt am: 29. Jul. 2022 08:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Hier noch eine andere Variante, die mir als Erstes in den Sinn kam.
Zitat:
(defun c:MBOUNDARY (/ Meine-Umgrenzung Layer TBL-Block)
  (defun Meine-Umgrenzung (Layer / SS-H)
    (if (setq SS-H (ssget "X" (list(cons 0 "HATCH")(cons 8 Layer)(cons 410 (getvar "ctab")))))
      (progn
(command "_HATCHGENERATEBOUNDARY" SS-H "")
(command "_erase" SS-H "")
      )
    )
  )
  (if (setq Layer (getstring "\nLayer angeben: "))
    (progn (Meine-Umgrenzung Layer)
  (while (setq TBL-Block (tblnext "block" (not TBL-Block)))
    (command "-bedit" (cdr (assoc 2 TBL-Block)))
    (Meine-Umgrenzung Layer)
    (command "_BCLOSE" "s")
  )
    )
  )
)

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Fachkraft / Spezialist im Bereich Geoinformationssysteme / Geodatenmanagement (w/m/d)

Das Ingenieurbüro E. Schulz GmbH ist ein inhabergeführtes Unternehmen und seit über 20 Jahren tätig. Wir begleiten den gesamten Ablauf einer Baumaßnahme. Beginnend bei der fachlichen Beratung über Entwurfs- und Ausführungsplanung bis hin zu Bauleitung, Prüfung und Baustellendokumentation. Unsere Fachbereiche erstrecken sich über das gesamte Spektrum öffentlicher und privater Maßnahmen im Tief-, Straßen- und Hochbau....

Anzeige ansehenGeowissenschaften
Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

WIN 10
ACAD 2022

erstellt am: 29. Jul. 2022 18:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Freibier 10 Unities + Antwort hilfreich

Danke Jörn dass du eingesprungen bist, hab jetzt erst wieder Zeit gehabt.
Arbeitgeber gewechselt und es läuft noch nicht alles wie ich das brauche, aber wird schon 

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz